# Generated via
#  `rails generate hyrax:work Dataset`
module Hyrax
  # Generated controller for Dataset
  class DatasetsController < ApplicationController
    # Adds Hyrax behaviors to the controller.
    include Hyrax::WorksControllerBehavior
    include Hyrax::BreadcrumbsForWorks
    self.curation_concern_type = ::Dataset

    # Use this line if you want to use a custom presenter
    self.show_presenter = Hyrax::DatasetPresenter

    before_action :check_tombstone, only: [:show, :edit]

    private

    def check_tombstone
      @dataset = Dataset.find(params[:id])
      if current_user.admin?
        if @dataset.is_tombstoned == true && params[:action] == 'edit'
          redirect_to main_app.polymorphic_path(@dataset)
        end
      else
        if @dataset.is_tombstoned == true
          flash[:notice] = 'The work (dataset) is not available because it has Tombstoned'
          render 'shared/tombstone', status: :unauthorized
        end
      end
    end
  end
end
