# frozen_string_literal: true
module Hyrax
  class SearchBuilder < ::SearchBuilder
    self.default_processor_chain += [:filter_tombstone]

    def filter_tombstone(solr_parameters)
      unless current_user.present? && current_user.crc_manager?
        solr_parameters[:fq] <<  "{!terms f=is_tombstoned_ssim}false"
      end
    end
  end
end